Gentoo Archives: gentoo-user

From: "Michael P. Soulier" <msoulier@×××××××××××××.ca>
To: gentoo-user@l.g.o
Subject: [gentoo-user] glibc update
Date: Wed, 18 Mar 2009 11:24:12
Message-Id: 20090318112345.GI25326@anton.digitaltorque.ca
Hello,

Looking at what I'm about to pick up via emerge, I notice this

[ebuild     U ] sys-libs/glibc-2.8_p20080602-r1 [2.6.1]

This immediately sets off alarm bells for me, since glibc is the basis of the
whole system. If I pick this up do I have to rebuild everything?

I've also frozen my kernel at 2.6.25 for now due to the nvidia-drivers
package. I have to use an older one for 3D accel and it doesn't work with the
newer kernels according to a bug report I saw. At some point I'm assuming that
a new glibc will require a new kernel too, if the interface changes, so
presumably I'll have to update eventually.

I could just use the nv driver since the 3D accel is not a must-have, or pick
up a new video card. Currently VIDEO_CARDS="nvidia" in my make.conf just
automatically pulls in nvidia-drivers though, which is broken for me.

But I digress. Upgrade glibc, rebuild everything? I suppose revdep-rebuild
will figure that out anyway...

Mike
-- 
Michael P. Soulier <msoulier@×××××××××××××.ca>
"Any intelligent fool can make things bigger and more complex... It takes a
touch of genius - and a lot of courage to move in the opposite direction."
--Albert Einstein

Replies

Subject Author
Re: [gentoo-user] glibc update Alan McKinnon <alan.mckinnon@×××××.com>